<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: create_subcat.php
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agplv3.htm or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission FROM the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."classified_ads/infusion_db.php";
include INFUSIONS."classified_ads/include/functions_include.php";
if (file_exists(INFUSIONS."classified_ads/locale/".$settings['locale'].".php")) {
	include INFUSIONS."classified_ads/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."classified_ads/locale/English.php";
}
if (!checkrights("CILS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../../index.php"); }

$cat_id = isset($_REQUEST['cat_id']) ? $_REQUEST['cat_id'] : "";

add_to_title(" | ".$locale['cls_101']."");

if (isset($_POST['save_subcat'])) {
	$cat_title = stripinput($_POST['cat_title']);
	$cat_desc = stripinput($_POST['cat_desc']);
	$cat_img = stripinput($_POST['cat_img']);
	$cat_status = isnum($_POST['cat_status']);
	$result = dbquery("SELECT cat_id FROM ".DB_CLASSIFIED_CATS." WHERE cat_title='$cat_title' AND cat_parentid='$cat_id'");
// Check for duplicates
	$numrows = dbrows($result);
	if ($numrows>0) {
opentable($locale['cls_111']);
echo "<table width='100%' cellspacing='1' cellpadding='3' border='0'><tr>\n";
echo "<td colspan='2' align='right'><a class='button' href='".INFUSIONS."classified_ads/admin/classifieds_admin.php".$aidlink."'>&nbsp;".$locale['cls_112']."&nbsp;</a></td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2'></td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2'><font color='#ff0000'><strong>".$locale['cls_113']."</strong></font><br />".$locale['cls_127']."<strong>".$cat_title."</strong>".$locale['cls_128']."</td>\n";
echo "</tr></table>";
	closetable();
// Check if Title exist
} elseif ($cat_title=="") {
	opentable($locale['cls_111']);
echo "<table width='100%' cellspacing='2' cellpadding='3' border='0'><tr>\n";
echo "<td colspan='2' align='right'><a class='button' href='".INFUSIONS."classified_ads/admin/create_subcat.php".$aidlink."'>&nbsp;".$locale['cls_103']."&nbsp;</a></td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2'></td>\n";
echo "</tr><tr>\n";
echo "<td colsapn='2' class='small'><font color='#ff0000'><strong>".$locale['cls_129']."</strong></font>".$locale['cls_130']."</td>\n";
echo "</tr></table>";
	closetable();
} else {
	$result_title = dbquery("SELECT cat_title, cat_sub FROM ".DB_CLASSIFIED_CATS." WHERE cat_id='".$_POST['cat_id']."' AND cat_parentid='0'");
	$data = dbarray($result_title);
	$cat_sub = $data['cat_sub'];
	$cat_parent_title = $data['cat_title'];

$result = dbquery("INSERT INTO ".DB_CLASSIFIED_CATS." (cat_id, cat_title, cat_desc, cat_img, cat_parentid, cat_parent_title, cat_datestamp, cat_status) VALUES ('', '$cat_title', '$cat_desc', '$cat_img', '$cat_id', '$cat_parent_title', '".time()."', '$cat_status')");

if ($cat_sub == '0') {
	$result1 = dbquery("UPDATE ".DB_CLASSIFIED_CATS." SET cat_sub='1' WHERE cat_title='$cat_parent_title' AND cat_parentid='0'");
}
	opentable($locale['cls_101']);
echo "<table width='100%' border='0' class='tbl'><tr>\n";
echo "<td align='center'>".$locale['cls_131']."<br /><br /><br /><a class='button' href='".INFUSIONS."classified_ads/admin/create_subcat.php".$aidlink."'>&nbsp;".$locale['cls_103']."&nbsp;</a>&nbsp;&nbsp;&nbsp;&nbsp;<a class='button' href='".INFUSIONS."classified_ads/admin/classifieds_admin.php".$aidlink."'>&nbsp;".$locale['cls_112']."&nbsp;</a></td>\n";
echo "</tr></table>\n";
	closetable();
	}
}
// Create category
opentable($locale['cls_100']);

	echo "<table align='center' border='0' width='100%'><tr>\n";
	echo "<td style='text-align: center;'><br /><br /><span class='tbl2'>&nbsp;<strong>".$locale['cls_103']."</strong>&nbsp;</span><br /><br /></td>\n";
	echo "</tr><tr>\n";
	echo "<td height='22'></td>\n";
	echo "</tr></table>\n";

echo "<table align='center' width='80%' class='tbl2'>\n";
echo "<form name='selectcat' method='post' action='".FUSION_SELF.$aidlink."' onsubmit='return validateform(this)'><tr>\n";
echo "<td valign='top'><strong>".$locale['cls_155']."</strong></td>\n";
echo "<td><input class='textbox' type='text' name='cat_title' size='39' maxlength='100' /><br /><br /></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'><strong>".$locale['cls_120']."</strong></td>\n";
echo "<td><textarea cols='40' rows='4' name='cat_desc'></textarea><br /><br /></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'><strong>".$locale['cls_121']."</strong></td>\n";
echo "<td valign='top'>";
buildImageBox('cat_img','');
echo "<br />".$locale['cls_705']."<br /><br /></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'><strong>".$locale['cls_154']."</strong></td>\n";
echo "<td><select class='textbox' name='cat_id'>";
	$result = dbquery("SELECT cat_id, cat_title FROM ".DB_CLASSIFIED_CATS." WHERE cat_parentid=0 ORDER BY cat_title");
		while(list($cat_id,$cat_title) = dbarraynum($result)) {
	echo "<option value='".$cat_id."'>$cat_title</option>";
	}
echo "</select>\n";
echo "<br /><br /></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'><strong>".$locale['cls_122']."</strong></td>\n";
echo "<td><input type='radio' name='cat_status' value='0' />".$locale['cls_124']."&nbsp;&nbsp;&nbsp;<input type='radio' name='cat_status' value='1' checked />".$locale['cls_123']."</td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2' align='center'><br /><br /><input class='button' type='submit' name='save_subcat' value='".$locale['cls_140']."' /></td>\n";
echo "</tr></form></table>\n";
echo "<table align='center' border='0' width='80%'><tr>\n";
echo "<td colspan='3'><hr /></td>\n";
echo "</tr><tr>\n";
echo "<td align='left' width='33%'><a class='button' href='".INFUSIONS."classified_ads/admin/classifieds_admin.php".$aidlink."'>&nbsp;".$locale['cls_006']."&nbsp;</a></td>\n";
echo "<td align='center' width='34%'><a class='button' href='".INFUSIONS."classified_ads/admin/category_admin.php".$aidlink."'>&nbsp;".$locale['cls_003']."&nbsp;</a></td>\n";
echo "<td align='right' width='33%'><a class='button' href='".INFUSIONS."classified_ads/admin/user_ad_admin.php".$aidlink."'>&nbsp;".$locale['cls_004'] ."&nbsp;</a></td>\n";
echo "</tr></table>\n";
echo "<br />";
echo "<div align='right' class='small'><img src='../images/am_classifieds.png' alt='".$locale['cls_001']."' width='80' height='15' border='0'></div>";
closetable();
	echo "<script language=\"javascript\">
function validateform(frm) {
	if(frm.cat_title.value=='') {
		alert('".$locale['cls_126']."');
		return false;
	}
}
</script>\n";
require_once THEMES."templates/footer.php";
?>