<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: edit_cat.php
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agplv3.htm. Removal of this
| copyright header is strictly prohibited without
| written permission FROM the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."classified_ads/infusion_db.php";
include INFUSIONS."classified_ads/include/functions_include.php";
if (file_exists(INFUSIONS."classified_ads/locale/".$settings['locale'].".php")) {
	include INFUSIONS."classified_ads/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."classified_ads/locale/English.php";
}
if (!checkrights("CILS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../../index.php"); }

$cat = isset($_REQUEST['cat']) ? $_REQUEST['cat'] : "";
$cat_id = isset($_REQUEST['cat_id']) ? $_REQUEST['cat_id'] : "";
$cat_id_u = isset($_REQUEST['cat_id_u']) ? $_REQUEST['cat_id_u'] : "";
$xcat_title = isset($_REQUEST['xcat_title']) ? $_REQUEST['xcat_title'] : "";
$cat_title_u = isset($_REQUEST['cat_title_u']) ? $_REQUEST['cat_title_u'] : "";
$cat_desc_u = isset($_REQUEST['cat_desc_u']) ? $_REQUEST['cat_desc_u'] : "";
$cat_desc1 = isset($_REQUEST['cat_desc1']) ? $_REQUEST['cat_desc1'] : "";
$cat_img_u = isset($_REQUEST['cat_img_u']) ? $_REQUEST['cat_img_u'] : "";
$cat_img1 = isset($_REQUEST['cat_img1']) ? $_REQUEST['cat_img1'] : "";
$cat_status1 = isset($_REQUEST['cat_status1']) ? $_REQUEST['cat_status1'] : "";
$cat_status_u = isset($_REQUEST['cat_status_u']) ? $_REQUEST['cat_status_u'] : "";
$cat_parentid1 = isset($_REQUEST['cat_parentid1']) ? $_REQUEST['cat_parentid1'] : "";
$cat_parentid2 = isset($_REQUEST['cat_parentid2']) ? $_REQUEST['cat_parentid2'] : "";
$cat_parentid_u = isset($_REQUEST['cat_parentid_u']) ? $_REQUEST['cat_parentid_u'] : "";

add_to_title(" | ".$locale['cls_100']."");

if (isset($_POST['edit_cat'])) {
		$cat_title_u = stripinput($_POST['cat_title_u']);
		$cat_desc_u = stripinput($_POST['cat_desc_u']);
		if ($cat_title_u=="") {
opentable($locale['cls_111']);

echo "<table width='100%' border='0' class='tbl'><tr>\n";
echo "<td colspan='2' align='center'><a class='button' href='".FUSION_SELF.$aidlink."'><strong>&nbsp;".$locale['cls_102']."&nbsp;</strong></a><br /><br /><a class='button' href='".INFUSIONS."classified_ads/admin/classifieds_admin.php".$aidlink."'>&nbsp;".$locale['cls_112']."&nbsp;</a></td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2'></td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2'><font color='#ff0000'><strong>".$locale['cls_116']."</strong></font>".$locale['cls_117']."</td>\n";
echo "</tr></table>";
	closetable();
	} elseif ($_POST['cat_img_u']!='-----') {
$result = dbquery("UPDATE ".DB_CLASSIFIED_CATS." SET cat_title='$cat_title_u', cat_desc='$cat_desc_u', cat_img='$cat_img_u', cat_parentid='$cat_parentid_u', cat_status='$cat_status_u' WHERE cat_id ='$cat_id_u' LIMIT 1");
	opentable($locale['cls_149']);
echo "<table width='100%' border='0' class='tbl'><tr>\n";
echo "<td align='center'>".$locale['cls_133']."<br /><br /><br /><a class='button' href='".INFUSIONS."classified_ads/admin/classifieds_admin.php".$aidlink."'>&nbsp;".$locale['cls_112']."&nbsp;</a></td>\n";
echo "</tr></table>\n";
	closetable();
	} else {
$result = dbquery("UPDATE ".DB_CLASSIFIED_CATS." SET cat_title='$cat_title_u', cat_desc='$cat_desc_u', mus_cat_img='null', cat_parentid='$cat_parentid_u', cat_status='$cat_status_u' WHERE cat_id ='$cat_id_u' LIMIT 1");
	opentable($locale['cls_149']);
echo "<table width='100%' border='0' class='tbl'><tr>\n";
echo "<td align='center'>".$locale['cls_133']."<br /><br /><br /><a class='button' href='".INFUSIONS."classified_ads/admin/classifieds_admin.php".$aidlink."'>&nbsp;".$locale['cls_112']."&nbsp;</a></td>\n";
echo "</tr></table>\n";
	closetable();
	}
}
if (isset($_POST['delete'])) {
	$result = dbquery("DELETE FROM ".DB_CLASSIFIED_CATS." WHERE  cat_id='".$_POST['cat_id_u']."'");
opentable($locale['cls_149']);	
echo "<table width='100%' border='0' class='tbl'><tr>\n";
echo "<td align='center'>".$locale['cls_134']."<br /><br /><br /><a class='button' href='".INFUSIONS."classified_ads/admin/classifieds_admin.php".$aidlink."'>&nbsp;".$locale['cls_112']."&nbsp;</a></td>\n";
echo "</tr></table>\n";
	closetable();
}
// Select cat section title to modify
opentable($locale['cls_135']);
echo "<table align='center' width='100%' border='0' cellspacing='2' cellpadding='3'><tr>\n";
echo "<form name='selectcat' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<td align='center'><br />".$locale['cls_136']."<select name='cat' class='textbox' style='width:200px;'>\n";
		$result2=dbquery("SELECT cat_id, cat_title, cat_parentid FROM ".DB_CLASSIFIED_CATS." WHERE cat_parentid='0' ORDER BY cat_title");
		while(list($cat_id2, $cat_title2, $cat_parentid2) = dbarraynum($result2)) {
			if ($cat_parentid2!=0) $cat_title2=getparent($cat_parentid2,$cat_title2);
	    		echo "<option value='".$cat_id2."'>".$cat_title2."</option>\n";
		}
echo "</select>\n";
echo "<input class='button' type='submit' name='edit' value='".$locale['cls_160']."' /><br /><br />\n";
echo "</td></tr></form></table>\n";
closetable();
// Begin modify cat section title
		$result1=dbquery("SELECT cat_title, cat_desc, cat_img, cat_parentid, cat_status FROM ".DB_CLASSIFIED_CATS." WHERE cat_id='$cat'");
		if (dbrows($result1) != 0) {
		list($cat_title1, $cat_desc1, $cat_img1, $cat_parentid1, $cat_status1) = dbarraynum($result1);
		$xcat_title=$cat_title1;
		$scat_title=getparent($cat_parentid1,$cat_title1);
		$cat_title1="$scat_title";
}
opentable($locale['cls_104']);
echo "<table align='center' width='80%' cellspacing='0' cellpadding='5' class='tbl2'><tr>\n";
echo "<form name='editcat' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<td valign='top'><strong>".$locale['cls_119']."</strong></td>\n";
echo "<td><input class='textbox' type='text' name='cat_title_u' size='39' value='$xcat_title' /><br /><br /></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'><strong>".$locale['cls_120']."</strong></td>\n";
echo "<td><textarea cols='40' rows='4' name='cat_desc_u'>".$cat_desc1."</textarea><br /><br /></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'><strong>".$locale['cls_121']."</strong></td>\n";
echo "<td valign='top'>";
buildImageBox('cat_img_u',$cat_img1);
echo "<br />".$locale['cls_700']."<br /><br /></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'><strong>".$locale['cls_132']."</strong></td>\n";
echo "<td><select class='textbox' name='cat_parentid_u'>
	<option value='0'>".$locale['cls_139']."</option>\n";

		$result=dbquery("SELECT cat_id, cat_title, cat_parentid FROM ".DB_CLASSIFIED_CATS." WHERE cat_parentid='0' ORDER BY cat_parentid, cat_title");
		if (dbrows($result) != 0) {
			while(list($cat_id, $cat_title, $cat_parentid) = dbarraynum($result)) {
			if ($cat_parentid!=0) {
			$cat_title=getparent($cat_parentid,$cat_title);
		}
		echo "<option value='".$cat_id."'>".$cat_title."</option>\n";
	}
}
echo "</select></td>\n";
echo "</tr><tr>\n";
echo "<td></td><td valign='top'>".$locale['cls_147']."<br /><br /></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'><strong>".$locale['cls_122']."</strong></td>\n";
echo "<td>";
	if ($cat_status1==''){ $cat_status1=='1'; }
	if ($cat_status1=='1') {
echo "<input type='radio' name='cat_status_u' value='0' />".$locale['cls_124']."&nbsp;&nbsp;&nbsp;<input type='radio' name='cat_status_u' value='1' checked />".$locale['cls_123'];
		} elseif ($cat_status1=='0') {
echo "<input type='radio' name='cat_status_u' value='0' checked />".$locale['cls_124']."&nbsp;&nbsp;&nbsp;<input type='radio' name='cat_status_u' value='1' />".$locale['cls_123'];
}
echo "</td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2' height='20'></td>\n";
echo "</tr><tr>\n";
echo "<td align='center' colspan='2'><input type='hidden' name='cat_id_u' value='".$cat."' />\n";
echo "<input class='button' type='submit' name='edit_cat' value='".$locale['cls_140']."' />&nbsp; &nbsp; &nbsp;
<input class='button' type='submit' name='delete' value='".$locale['cls_141']."' /></td>\n";
echo "</tr></form></table>\n";
echo "<table align='center' border='0' width='80%'><tr>\n";
echo "<td colspan='3'><hr /></td>\n";
echo "</tr><tr>\n";
echo "<td width='33%' align='center'><a class='button' href='".ADMIN."index.php".$aidlink."'><strong>&nbsp;".$locale['cls_109']."&nbsp;</strong></a></td>\n";
echo "<td width='34%' align='center'><a class='button' href='".INFUSIONS."classified_ads/classified_ads.php'><strong>&nbsp;".$locale['cls_110']."&nbsp;</strong></a></td>\n";
echo "<td width='33%' align='center'><a class='button' href='".INFUSIONS."classified_ads/admin/classifieds_admin.php".$aidlink."'><strong>&nbsp;".$locale['cls_112']."&nbsp;</strong></a></td>\n";
echo "</tr></table>\n";
closetable();

require_once THEMES."templates/footer.php";
?>