<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: settings_admin.php
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agplv3.htm. Removal of this
| copyright header is strictly prohibited without
| written permission FROM the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."classified_ads/infusion_db.php";
if (file_exists(INFUSIONS."classified_ads/locale/".$settings['locale'].".php")) {
	include INFUSIONS."classified_ads/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."classified_ads/locale/English.php";
}
include INFUSIONS."classified_ads/include/functions_include.php";
if (!checkrights("CILS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../../index.php"); }
add_to_head("<script type='text/javascript' src='".INFUSIONS."classified_ads/include/balloontip.js'>
/***********************************************
* Rich HTML Balloon Tooltip-  Dynamic Drive DHTML code library (www.dynamicdrive.com)
* This notice MUST stay intact for legal use
* Visit Dynamic Drive at http://www.dynamicdrive.com/ for full source code
***********************************************/
</script>");

if (isset($_POST['update_settings'])) {
	$current_set = dbquery("SELECT ad_txt, new_ads, lnk_results, most_weeks, dflt_weeks, warn_days, show_guest, show_social, allow_post FROM ".DB_CLASSIFIED_SETTINGS."");
	$data = dbarray($current_set);

if (isset($_POST['ad_txt'])) {
		$ad_txt = stripinput($_POST['ad_txt']);
	} else {
		$ad_txt = $data['ad_txt'];
	}
if (isset($_POST['new_ads'])) {
		$new_ads = stripinput($_POST['new_ads']);
	} else {
		$new_ads = $data['new_ads'];
	}
if (isset($_POST['lnk_results'])) {
		$lnk_results = stripinput($_POST['lnk_results']);
	} else {
		$lnk_results = $data['lnk_results'];
	}
if (isset($_POST['most_weeks'])) {
		$most_weeks = stripinput($_POST['most_weeks']);
	} else {
		$most_weeks = $data['most_weeks'];
	}
if (isset($_POST['dflt_weeks'])) {
		$dflt_weeks = stripinput($_POST['dflt_weeks']);
	} else {
		$dflt_weeks = $data['dflt_weeks'];
	}
if (isset($_POST['warn_days'])) {
		$warn_days = stripinput($_POST['warn_days']);
	} else {
		$warn_days = $data['warn_days'];
	}
if (isset($_POST['show_guest'])) {
		$show_guest = $_POST['show_guest'];
	} else {
		$show_guest = $data['show_guest'];
	}
if (isset($_POST['show_social'])) {
		$show_social = $_POST['show_social'];
	} else {
		$show_social = $data['show_social'];
	}
if (isset($_POST['allow_post'])) {
		$allow_post = $_POST['allow_post'];
	} else {
		$allow_post = $data['allow_post'];
	}
$result = dbquery("UPDATE ".DB_CLASSIFIED_SETTINGS." SET ad_txt='$ad_txt', new_ads='$new_ads', lnk_results='$lnk_results', most_weeks='$most_weeks', dflt_weeks='$dflt_weeks', warn_days='$warn_days', show_guest='$show_guest', show_social='$show_social', allow_post='$allow_post'");

opentable($locale['cls_005']);
echo "<div style='text-align:center;'><br /><br /><span class='tbl2'><strong>&nbsp;".$locale['cls_007']."&nbsp;</strong></span></div><br /><br /><br />\n";
echo "<table align='center' width='80%' border='0' cellspacing='0' cellpadding='0'><tr>\n";
echo "<td class='hline' colspan='4'></td>\n";
echo "</tr><tr>\n";
echo "<td align='left' width='25%'><a class='button' href='".INFUSIONS."classified_ads/admin/classifieds_admin.php".$aidlink."'>&nbsp;".$locale['cls_006']."&nbsp;</a></td>\n";
echo "<td align='center' width='25%'><a class='button' href='".INFUSIONS."classified_ads/admin/category_admin.php".$aidlink."'>&nbsp;".$locale['cls_003']."&nbsp;</a></td>\n";
echo "<td align='center' width='25%'><a class='button' href='".INFUSIONS."classified_ads/admin/user_ad_admin.php".$aidlink."'>&nbsp;".$locale['cls_004']."&nbsp;</a></td>\n";
echo "<td align='right' width='25%'><a class='button' href='".INFUSIONS."classified_ads/admin/settings_admin.php".$aidlink."'>&nbsp;".$locale['cls_005'] ."&nbsp;</a></td>\n";
echo "</tr></table>\n";
echo "<br /><br />";
echo "<div align='right' class='small'><img src='../images/am_classifieds.png' alt='".$locale['cls_001']."' width='80' height='15' border='0'></div>";
closetable();
require_once THEMES."templates/footer.php";
} else {
opentable($locale['cls_008']);
echo "<br /><br />";

	$result=dbquery("SELECT * FROM ".DB_CLASSIFIED_SETTINGS." ");
	$my_data = dbarray($result);

echo "<table align='center' border='0' cellspacing='2' cellpadding='5'><tr>\n";
echo "<form name='change_settings' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<td align='center' class='tbl2'><strong>&nbsp;&nbsp;".$locale['cls_009']."&nbsp;&nbsp;</strong></td>\n";
echo "</tr><tr>\n";
echo "<td height='22'></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'><table class='media-tbl'><tr>\n";
echo "<td align='center' class='tbl2' colspan='2'><strong>".$locale['cls_010']."</strong>".$my_data['ad_txt']."</td>\n";
echo "</tr><tr>\n";
echo "<td>".$locale['cls_017']."</td><td><input class='textbox' type='text' name='ad_txt' value='".$my_data['ad_txt']."' size='20' maxlength='5' /></td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2' height='6'></td>\n";
echo "</tr><tr>\n";
echo "<td align='center' class='tbl2' colspan='2'><strong>".$locale['cls_011']."</strong>".$my_data['new_ads']."</td>\n";
echo "</tr><tr>\n";
echo "<td>".$locale['cls_018']."</td><td><input class='textbox' type='text' name='new_ads' value='".$my_data['new_ads']."' size='20' maxlength='2' /></td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2' height='6'></td>\n";
echo "</tr><tr>\n";
echo "<td align='center' class='tbl2' colspan='2'><strong>".$locale['cls_012']."</strong>".$my_data['lnk_results']."</td>\n";
echo "</tr><tr>\n";
echo "<td>".$locale['cls_019']."</td><td><input class='textbox' type='text' name='lnk_results' value='".$my_data['lnk_results']."' size='20' maxlength='2' /></td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2' height='6'></td>\n";
echo "</tr><tr>\n";
echo "<td align='center' class='tbl2' colspan='2'><strong>".$locale['cls_013']."</strong>".$my_data['most_weeks']."</td>\n";
echo "</tr><tr>\n";
echo "<td>".$locale['cls_020']."</td><td><input class='textbox' type='text' name='most_weeks' value='".$my_data['most_weeks']."' size='20' maxlength='3' /></td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2' height='6'></td>\n";
echo "</tr><tr>\n";
echo "<td align='center' class='tbl2' colspan='2'><strong>".$locale['cls_014']."</strong>".$my_data['dflt_weeks']."</td>\n";
echo "</tr><tr>\n";
echo "<td>".$locale['cls_021']."</td><td><input class='textbox' type='text' name='dflt_weeks' value='".$my_data['dflt_weeks']."' size='20' maxlength='2' /></td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2' height='6'></td>\n";
echo "</tr><tr>\n";
echo "<td align='center' class='tbl2' colspan='2'><strong>".$locale['cls_015']."</strong>".$my_data['warn_days']."<br />".$locale['cls_023']."</td>\n";
echo "</tr><tr>\n";
echo "<td>".$locale['cls_022']."</td><td><input class='textbox' type='text' name='warn_days' value='".$my_data['warn_days']."' size='20' maxlength='2' /></td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2' height='6'></td>\n";
echo "</tr><tr>\n";
echo "<div id='balloon3' class='balloonstyle'>".$locale['cls_157']."</div>";
echo "<div id='balloon4' class='balloonstyle'>".$locale['cls_158']."</div>";
echo "<div id='balloon5' class='balloonstyle'>".$locale['cls_168']."</div>";
echo "<td align='center' class='tbl2' colspan='2'><strong>".$locale['cls_027']."</strong>";
	if ($my_data['show_guest'] == "1") { echo $locale['cls_432']."&nbsp;&nbsp;<a rel='balloon3' href=''><img src='../images/help.gif' border='0' alt='' /></a></td>\n"; }
	else { echo $locale['cls_433']."&nbsp;&nbsp;<a rel='balloon3' href=''><img src='../images/help.gif' border='0' alt='' /></a></td>\n"; }
echo "</tr><tr>\n";
echo "<td>".$locale['cls_028']."</td><td align='right'>".$locale['cls_432']."<input type='radio' name='show_guest' value='1' />&nbsp;&nbsp;&nbsp;&nbsp;".$locale['cls_433']."<input type='radio' name='show_guest' value='0' /></td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2' height='6'></td>\n";
echo "</tr><tr>\n";
echo "<td align='center' class='tbl2' colspan='2'><strong>".$locale['cls_025']."</strong>";
	if ($my_data['show_social'] == "1") { echo $locale['cls_432']."&nbsp;&nbsp;<a rel='balloon4' href=''><img src='../images/help.gif' border='0' alt='' /></a></td>\n"; }
	else { echo $locale['cls_433']."&nbsp;&nbsp;<a rel='balloon4' href=''><img src='../images/help.gif' border='0' alt='' /></a></td>\n"; }
echo "</tr><tr>\n";
echo "<td>".$locale['cls_026']."</td><td align='right'>".$locale['cls_432']."<input type='radio' name='show_social' value='1' />&nbsp;&nbsp;&nbsp;&nbsp;".$locale['cls_433']."<input type='radio' name='show_social' value='0' /></td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2' height='6'></td>\n";
echo "</tr><tr>\n";
echo "<td align='center' class='tbl2' colspan='2'><strong>".$locale['cls_016']."</strong>";
	if ($my_data['allow_post'] == "1") { echo $locale['cls_433']."&nbsp;&nbsp;<a rel='balloon5' href=''><img src='../images/help.gif' border='0' alt='' /></a></td>\n"; }
	else { echo $locale['cls_432']."&nbsp;&nbsp;<a rel='balloon5' href=''><img src='../images/help.gif' border='0' alt='' /></a></td>\n"; }
echo "</tr><tr>\n";
echo "<td>".$locale['cls_024']."</td><td align='right'>".$locale['cls_432']."<input type='radio' name='allow_post' value='0' />&nbsp;&nbsp;&nbsp;&nbsp;".$locale['cls_433']."<input type='radio' name='allow_post' value='1' /></td>\n";
echo "</tr></table>\n";
echo "</td></tr><tr>\n";
echo "<td align='center'><br /><br /><input class='button' type='submit' name='update_settings' value='".$locale['cls_140']."' /><br /><br /></td></tr></form></table>\n";
echo "<table align='center' width='80%' border='0' cellspacing='0' cellpadding='0'><tr>\n";
echo "<td colspan='3'><hr /></td>\n";
echo "</tr><tr>\n";
echo "<td align='left' width='33%'><a class='button' href='".INFUSIONS."classified_ads/admin/classifieds_admin.php".$aidlink."'>&nbsp;".$locale['cls_006']."&nbsp;</a></td>\n";
echo "<td align='center' width='34%'><a class='button' href='".INFUSIONS."classified_ads/admin/category_admin.php".$aidlink."'>&nbsp;".$locale['cls_003']."&nbsp;</a></td>\n";
echo "<td align='right' width='33%'><a class='button' href='".INFUSIONS."classified_ads/admin/user_ad_admin.php".$aidlink."'>&nbsp;".$locale['cls_004']."&nbsp;</a></td>\n";
echo "</tr></table>\n";
echo "<br /><br />";
echo "<div align='right' class='small'><img src='../images/am_classifieds.png' alt='".$locale['cls_001']."' width='80' height='15' border='0'></div>";
closetable();
}

require_once THEMES."templates/footer.php";
?>