<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: all_cats.php
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agplv3.htm or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
if (file_exists(INFUSIONS."classified_ads/locale/".$settings['locale'].".php")) {
	include INFUSIONS."classified_ads/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."classified_ads/locale/English.php";
}
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."classified_ads/include/functions_include.php";
include INFUSIONS."classified_ads/infusion_db.php";
error_reporting(E_ALL ^ E_NOTICE);
define("SAFEMODE", @ini_get("safe_mode") ? true : false);
global $settings, $query, $locale, $userdata, $sndwarn, $ad_title, $ad_owner, $ad_owner_id, $cat, $db_prefix;

opentable($locale['cls_500']);

	echo "<table width='100%' border='0' cellspacing='0' cellpadding='3'><tr>\n";
	echo "<td>\n";
	echo "<table width='100%' border='0' cellspacing='6' cellpadding='0'><tr>\n";
	if (iMEMBER) {
	echo "<td align='center'><a href='".INFUSIONS."classified_ads/classified_ads.php'><strong>".$locale['cls_200']."</strong></a></td>
	<td align='center'><a href='".INFUSIONS."classified_ads/new_ads.php'><strong>".$locale['cls_201']."</strong></a></td>
	<td align='center'><a href='".INFUSIONS."classified_ads/all_ads.php'><strong>".$locale['cls_207']."</strong></a></td>
	<td align='center'><a href='".INFUSIONS."classified_ads/post_ads.php'><strong>".$locale['cls_202']."</strong></a></td>
	<td align='center'><a href='".INFUSIONS."classified_ads/my_ads.php'><strong>".$locale['cls_203']."</strong></a></td>\n";
	} else {
	echo "<td align='center'><a href='".INFUSIONS."classified_ads/classified_ads.php'><strong>".$locale['cls_200']."</strong></a></td>
	<td align='center'><a href='".INFUSIONS."classified_ads/new_ads.php'><strong>".$locale['cls_201']."</strong></a></td>
	<td align='center'><a href='".INFUSIONS."classified_ads/all_ads.php'><strong>".$locale['cls_207']."</strong></a></td>
	<td align='center'><a href='".INFUSIONS."classified_ads/post_ads.php'><strong>".$locale['cls_202']."</strong></a></td>
	<!-- td align='center'><a href='".INFUSIONS."classified_ads/my_ads.php'><strong>".$locale['cls_203']."</strong></a></td -->\n";
	}
	echo "</tr></table>\n";
	echo "</td></tr><tr>\n";
	echo "<td align='center'>";
	$result=dbquery("SELECT * FROM ".DB_CLASSIFIED_ADS." WHERE ad_status='1'");
	$num_rows = dbrows($result);
	$result=dbquery("SELECT * FROM ".DB_CLASSIFIED_CATS." WHERE cat_parentid='0' AND cat_status='1'");
	$catz = dbrows($result);
	$result=dbquery("SELECT * FROM ".DB_CLASSIFIED_CATS." WHERE cat_parentid>'0' AND cat_status='1'");
	$subcatz = dbrows($result);
	echo "<br />".$locale['cls_501']."<strong>$catz</strong>".$locale['cls_502']."<strong>$subcatz</strong>".$locale['cls_503']."<strong>$num_rows</strong>";
		if ($num_rows == '1') {
	echo "".$locale['cls_426']."</td>\n"; } else {
	echo "".$locale['cls_504']."</td>\n"; }
	echo "</tr><tr>\n";
	echo "<td align='center'><br />\n";
		SearchForm();
	echo "</td>\n";
	echo "</tr></table>\n";
	echo "<br /><br />";
//display section titles and categories
	echo "<table align='center' width='100%' border='0' cellspacing='0' cellpadding='0'><tr>\n";
	echo "<td align='center'><span class='tbl2'><strong><big>&nbsp;".$locale['cls_215']."&nbsp;</big></strong></span></td>\n";
	echo "</tr><tr>\n";
	echo "<td height='18'></td>\n";
	echo "</tr></table><br />\n";

	echo "<table class='tbl1' align='center' width='100%' border='1' cellspacing='20' cellpadding='10'><tr>\n";
	echo "<td class='tbl2' width='50%' valign='top'>\n";
	echo "<table width='100%' border='0' cellspacing='8' cellpadding='10'><tr>\n";
	$numrows = $catz;
	if($numrows > 0) {
	$numrows % 2  ? $numrows += 1 : $numrows;
	$rows = $numrows / 2;
	echo "<td class='tbl2' valign='top' width='50%'>\n";
		$result = dbquery("SELECT cat_id, cat_title, cat_desc, cat_img, cat_sub, cat_parentid FROM ".DB_CLASSIFIED_CATS." WHERE cat_status='1' AND cat_parentid='0' ORDER BY cat_title ASC LIMIT $rows");
    		while(list($cat_id, $cat_title, $cat_desc, $cat_img, $cat_sub, $cat_parentid) = dbarraynum($result)) {
		$main_cat = $cat_id;
		$cat_title=getparentlink_CAT($cat_parentid,$cat_title,$cat_id);
		$img_title = "<img src='".INFUSIONS."classified_ads/images/cats/$cat_img' title='".$cat_title."' width='48' height='48' border='0' alt='' />";
			if($cat_img) {
	echo "<table cellspacing='0' cellpadding='1' border='0'><tr><td align='left'>$img_title</td><td valign='bottom'><span class='small'>&nbsp;<strong>$cat_title</strong></span>\n";
			if($cat_desc) {
	echo "<br />&nbsp;<span class='sml-alb2'>$cat_desc</span></td></tr></table>"; } else {
	echo "</td></tr></table>"; }
} else {
		$cat_title=getparentlinkBase($cat_parentid,$cat_title,$cat_id);
	echo "<table cellspacing='0' cellpadding='1' border='0'><tr><td class='small' align='left'><strong>$cat_title</strong>\n";
	echo "</td></tr></table>";
			if($cat_desc) {
			echo "<table cellspacing='0' cellpadding='1' border='0'><tr><td width='200'><span class='sml-alb2'>$cat_desc</span></td></tr><tr><td height='2'></td></tr></table>"; } else {
			echo "<table cellspacing='0' cellpadding='1' border='0'><tr><td height='2'></td></tr></table>"; }
	}
	if ($cat_sub == '1') {
		$result1 = dbquery("SELECT cat_id, cat_title, cat_desc, cat_img, cat_parentid, cat_parent_title, cat_status FROM ".DB_CLASSIFIED_CATS." WHERE cat_parentid='$main_cat' ORDER BY cat_parent_title, cat_title ASC");
		while(list($cat_id, $cat_title, $cat_desc, $cat_img, $cat_parentid) = dbarraynum($result1)) {
		$cat_title=getparentlink_CAT($cat_parentid,$cat_title,$cat_id);
$my_title = "<a href='".INFUSIONS."classified_ads/view_ads.php?cat_id=".$cat_id."'><img src='".INFUSIONS."classified_ads/images/cats/$cat_img' title='".$cat_title."' width='48' height='48' border='0' alt='' /></a>";
		$count1=dbcount("(*)", $db_prefix."classified_ads", " cat_id='$cat_id' AND ad_status='1'");
			if($cat_img) {
	echo "<table cellspacing='0' cellpadding='1' border='0'><tr><td width='15' align='right'><img src='".THEME."images/bullet.gif'></td><td class='small' align='left'>$my_title</td><td class='small' valign='middle'>&nbsp;<strong>$cat_title</strong>\n";
	echo "<span class='mysmall'>(".$count1.")</span></td></tr></table>";
			if($cat_desc) {
			echo "<table cellspacing='0' cellpadding='1' border='0'><tr><td width='2'></td><td width='200'><span class='sml-alb2'>$cat_desc</span></td></tr><tr><td colspan='2' height='2'></td></tr></table>"; } else {
			echo "<table cellspacing='0' cellpadding='1' border='0'><tr><td width='2'></td><td height='2'></td></tr></table>"; }
} else {
		$cat_title=getparentlink($cat_parentid,$cat_title,$cat_id);
	echo "<table cellspacing='0' cellpadding='1' border='0'><tr><td width='15' align='right'><img src='".THEME."images/bullet.gif'></td><td class='small' align='left'>&nbsp;<strong>$cat_title</strong>\n";
	echo "<span class='mysmall'>(".$count1.")</span></td></tr></table>";
			if($cat_desc) {
			echo "<table cellspacing='0' cellpadding='1' border='0'><tr><td width='2'></td><td width='200'><span class='sml-alb2'>$cat_desc</span></td></tr><tr><td colspan='2' height='2'></td></tr></table>"; } else {
			echo "<table cellspacing='0' cellpadding='1' border='0'><tr><td width='2'></td><td height='2'></td></tr></table>"; }
			}
		}
	}
}
	echo "</td><td class='tbl2' valign='top' width='50%'>\n";
		$result = dbquery("SELECT cat_id, cat_title, cat_desc, cat_img, cat_sub, cat_parentid, cat_status FROM ".DB_CLASSIFIED_CATS." WHERE cat_status='1' AND cat_parentid='0' ORDER BY cat_title ASC LIMIT $rows, $rows");
    		while(list($cat_id, $cat_title, $cat_desc, $cat_img, $cat_sub, $cat_parentid) = dbarraynum($result)) {
		$main_cat = $cat_id;
		$cat_title=getparentlink_CAT($cat_parentid,$cat_title,$cat_id);
		$img_title = "<img src='".INFUSIONS."classified_ads/images/cats/$cat_img' title='".$cat_title."' width='48' height='48' border='0' alt='' />";
			if($cat_img) {
	echo "<table cellspacing='0' cellpadding='1' border='0'><tr><td align='left'>$img_title</td><td valign='bottom'><span class='small'>&nbsp;<strong>$cat_title</strong></span>\n";
			if($cat_desc) {
	echo "<br />&nbsp;<span class='sml-alb2'>$cat_desc</span></td></tr></table>"; } else {
	echo "</td></tr></table>"; }
} else {
		$cat_title=getparentlinkBase($cat_parentid,$cat_title,$cat_id);
	echo "<table cellspacing='0' cellpadding='1' border='0'><tr><td class='small' align='left'><strong>$cat_title</strong>\n";
	echo "</td></tr></table>";
			if($cat_desc) {
			echo "<table cellspacing='0' cellpadding='1' border='0'><tr><td width='200'><span class='sml-alb2'>$cat_desc</span></td></tr><tr><td height='2'></td></tr></table>"; } else {
			echo "<table cellspacing='0' cellpadding='1' border='0'><tr><td height='2'></td></tr></table>"; }
	}
	if ($cat_sub == '1') {
		$result1 = dbquery("SELECT cat_id, cat_title, cat_desc, cat_img, cat_parentid, cat_parent_title, cat_status FROM ".DB_CLASSIFIED_CATS." WHERE cat_parentid='$main_cat' ORDER BY cat_parent_title, cat_title ASC");
		while(list($cat_id, $cat_title, $cat_desc, $cat_img, $cat_parentid) = dbarraynum($result1)) {
		$cat_title=getparentlink_CAT($cat_parentid,$cat_title,$cat_id);
$my_title = "<a href='".INFUSIONS."classified_ads/view_ads.php?cat_id=".$cat_id."'><img src='".INFUSIONS."classified_ads/images/cats/$cat_img' title='".$cat_title."' width='48' height='48' border='0' alt='' /></a>";
		$count1=dbcount("(*)", $db_prefix."classified_ads", " cat_id='$cat_id' AND ad_status='1'");
			if($cat_img) {
	echo "<table cellspacing='0' cellpadding='1' border='0'><tr><td width='15' align='right'><img src='".THEME."images/bullet.gif'></td><td class='small' align='left'>$my_title</td><td class='small' valign='middle'>&nbsp;<strong>$cat_title</strong>\n";
	echo "<span class='mysmall'>(".$count1.")</span></td></tr></table>";
			if($cat_desc) {
			echo "<table cellspacing='0' cellpadding='1' border='0'><tr><td width='2'></td><td width='200'><span class='sml-alb2'>$cat_desc</span></td></tr><tr><td colspan='2' height='2'></td></tr></table>"; } else {
			echo "<table cellspacing='0' cellpadding='1' border='0'><tr><td width='2'></td><td height='2'></td></tr></table>"; }
} else {
		$cat_title=getparentlink($cat_parentid,$cat_title,$cat_id);
	echo "<table cellspacing='0' cellpadding='1' border='0'><tr><td width='15' align='right'><img src='".THEME."images/bullet.gif'></td><td class='small' align='left'>&nbsp;<strong>$cat_title</strong>\n";
	echo "<span class='mysmall'>(".$count1.")</span></td></tr></table>";
			if($cat_desc) {
			echo "<table cellspacing='0' cellpadding='1' border='0'><tr><td width='2'></td><td width='200'><span class='sml-alb2'>$cat_desc</span></td></tr><tr><td colspan='2' height='2'></td></tr></table>"; } else {
			echo "<table cellspacing='0' cellpadding='1' border='0'><tr><td width='2'></td><td height='2'></td></tr></table>"; }
				}
			}
		}
	}
}
	echo "</td></tr></table>\n";
	echo "</td></tr></table>\n";
	echo "<table width='100%' align='center' border='0' cellspacing='0' cellpadding='0'><tr>\n";
	echo "<td height='8'></td>\n";
	echo "</tr><tr>\n";
	echo "<td align='right'><img src='images/am2_classifieds.png' alt='".$locale['cls_001']."' width='80' height='15' border='0'>&nbsp;</td>\n";
	echo "</tr></table>\n";

closetable();
include "footer.php";
?>