<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: search_ads.php
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
if (file_exists(INFUSIONS."classified_ads/locale/".$settings['locale'].".php")) {
	include INFUSIONS."classified_ads/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."classified_ads/locale/English.php";
}
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."classified_ads/include/functions_include.php";
include INFUSIONS."classified_ads/infusion_db.php";
error_reporting(E_ALL ^ E_NOTICE);
define("SAFEMODE", @ini_get("safe_mode") ? true : false);
$result = dbquery("SELECT lnk_results FROM ".DB_CLASSIFIED_SETTINGS."");
		$data = dbarray($result);
		$lnk_results = $data['lnk_results'];
global $query, $locale, $userdata, $db_prefix;

opentable($locale['cls_500']);

if(!eregi("^[a-zA-Z 0-9]+$",  $query)) {
echo $locale['cls_418'];
$query='';
}
	if (strlen($query) > 0) {
		$query = addslashes($query);
		$query = trim($query);
$result = dbquery("SELECT ad_id, cat_id, ad_title, ad_desc, ad_owner, ad_owner_id, ad_url, ad_type, ad_amt, region, country, state, city, province, postdate, expiredate, ad_views FROM ".DB_CLASSIFIED_ADS." WHERE ad_title LIKE '%$query%' OR ad_desc LIKE '%$query%' OR ad_url LIKE '%$query%'");

		$nrows  = dbrows($result);
		$resultx = dbquery("SELECT * FROM ".DB_CLASSIFIED_CATS." WHERE cat_title LIKE '%$query%' ORDER BY cat_title DESC");
		$nrowsx  = dbrows($resultx);
	} else
		$nrows = 0;
		$x=0;
		$max = $lnk_results-1;
		echo "<table width='100%' cellspacing='2' cellpadding='3' border='0'><tr><td></td></tr><tr><td>";
			menu();
		echo "</td></tr><tr><td></td></tr><tr><td><br />";
		echo"</td></tr><tr><td></td></tr><tr><td>".$locale['cls_570']."... <span style='background-color:#ffff88;color:#333;font-weight:bold;padding-left:2px;padding-right:2px'>$query</span> ...</td></tr><tr><td height='8'></td></tr>";

	if ($nrows>0 || $nrowsx>0) {
		while(list($cat_idx, $cat_titlex) = dbarraynum($resultx)) 
		{
			$resultcat = dbquery("SELECT cat_id, cat_title, cat_parentid FROM ".DB_CLASSIFIED_CATS." WHERE cat_id=$cat_idx");
    			list($cat_idcat, $cat_titlecat, $cat_parentidcat) = dbarraynum($resultcat);
			$title=getparentlink($cat_parentidcat,$cat_titlecat,$cat_idcat);
			$titlecat="<a href='".INFUSIONS."classified_ads/view_ads.php?cat_id=$cat_idcat'>$title</a>";
			$res = dbquery("SELECT * FROM ".DB_CLASSIFIED_ADS." WHERE cat_id=$cat_idx");
			$numres = dbrows($res);
			echo "
			<tr><td>$titlecat ($numres)<br /></td></tr>
			<tr><td></tr>";
		}
		echo "
		<tr><td><strong>".$locale['cls_500']."</strong></td></tr>
		<tr><td><hr /></td></tr>
		<tr><td>";
		while($data = dbarray($result)) 
		{
		$ad_id = $data['ad_id'];
		$cat_id = $data['cat_id'];
		$ad_title = $data['ad_title'];
		$ad_title = (hiLite($query, $ad_title));
		$desc=stripslash($data['ad_desc']);
		$ad_desc = $desc;
		$ad_desc = (hiLite($query, $ad_desc));
		$ad_amt = $data['ad_amt'];
		$region = $data['region'];
		$country = $data['country'];
		$city = $data['city'];
		$state = $data['state'];
		$province = $data['province'];
		$ad_url = stripslash($data['ad_url']);
		$ad_url = (hiLite($query, $ad_url));
		$ad_owner = $data['ad_owner'];
		$ad_owner_id = $data['ad_owner_id'];
		$ad_type = $data['ad_type'];
		$postdate = $data['postdate'];
		$expiredate = $data['expiredate'];
		$ad_views = $data['ad_views'];
			$result3 = dbquery("SELECT cat_id, cat_title, cat_parentid FROM ".DB_CLASSIFIED_CATS." WHERE cat_id=$cat_id");
			list($cat_id3, $cat_title3, $cat_parentid3) = dbarraynum($result3);
			$cat_title=getparentlink($cat_parentid3,$cat_title3,$cat_id3);

			echo "<table border='0' width='100%' cellspacing='0' cellpadding='3' class='adtbl'>\n";
			if (iADMIN) {
			echo "<tr class='tbl2'><td style='text-align: left;'><strong>$ad_title</strong>";
			echo "&nbsp;&nbsp;&nbsp;&nbsp;<a class='ad-title' href='".INFUSIONS."classified_ads/modify_ads.php?ad_id=".$ad_id."'>".$locale['cls_137']."</a>
			&nbsp;<a class='ad-title' href='".INFUSIONS."classified_ads/delete_ads.php?ad_id=".$ad_id."'>".$locale['cls_141']."</a>
			</td><td style='text-align:right;'>";
			if($ad_type == '0') { echo "<strong>".$locale['cls_650']."".$cat_title."</strong>&nbsp;</td></tr>\n"; } 
			elseif ($ad_type == '1') { echo "<strong>".$locale['cls_651']."".$cat_title."</strong>&nbsp;</td></tr>\n"; }
			elseif ($ad_type == '2') { echo "<strong>".$locale['cls_652']."".$cat_title."</strong>&nbsp;</td></tr>\n"; }
			else { echo "<strong>".$locale['cls_653']."".$cat_title."</strong>&nbsp;</td></tr>\n"; }
			} else { 
			echo "<tr class='tbl2'><td style='text-align: left;'><strong>$ad_title</strong></td>";
			echo "<td style='text-align:right;'>";
			if($ad_type == '0') { echo "<strong>".$locale['cls_650']."".$cat_title."</strong>&nbsp;</td></tr>\n"; } 
			elseif ($ad_type == '1') { echo "<strong>".$locale['cls_651']."".$cat_title."</strong>&nbsp;</td></tr>\n"; }
			elseif ($ad_type == '2') { echo "<strong>".$locale['cls_652']."".$cat_title."</strong>&nbsp;</td></tr>\n"; }
			else { echo "<strong>".$locale['cls_653']."".$cat_title."</strong>&nbsp;</td></tr>\n"; }
			}
			echo "<tr><td align='left'><strong>&nbsp;".$locale['cls_402']."$postdate - ".$locale['cls_554']."$expiredate</strong></td></tr>\n";
			echo "<tr><td align='left'><strong>&nbsp;".$locale['cls_555']."$region ";
			if($state) { echo "$country $city, $state</strong></td></tr>\n"; } else { echo "$city, $country"; if($province) { echo "<br />&nbsp;".$locale['cls_593']."$province"; } echo "</strong></td></tr>\n"; } 
			echo "<tr><td align='left'>";if($ad_amt) { echo"<strong>&nbsp;".$locale['cls_442']."$ad_amt&nbsp;&nbsp;</strong><i>".$locale['cls_561']."$ad_views</i></td></tr>\n"; } else {
			echo "<strong>&nbsp;".$locale['cls_443']."&nbsp;&nbsp;</strong><i>".$locale['cls_561']."$ad_views</i></td></tr>\n"; }
			echo "<tr><td valign='top' colspan='2'>\n";
			echo "<table align='center' cellspacing='0' cellpadding='0' border='0' width='90%'><tr>\n";
			echo "<td width='100%' class='ad-desc' valign='top'>\n";
			echo parseubb(parsesmileys($ad_desc), "b|i|u|center|small|url|mail|img|quote|color");
			echo "</td></tr></table>\n";
			echo "</td></tr>\n";
			echo "<tr class='tbl2'>\n";
			if (iMEMBER) {
			echo "<td style='text-align: left;' class='ad-title'>".$locale['cls_514']."<a class='ad-title' href=".BASEDIR."profile.php?lookup=$ad_owner_id>$ad_owner</a></td>\n";
			echo "<td style='text-align: right;' class='ad-title1'>";
			if ($ad_url) { echo "<a class='ad-title' href='http://$ad_url'>".$locale['cls_552']."</a> "; } else { echo "".$locale['cls_552']." "; }
			echo "<a class='ad-title' href='".INFUSIONS."classified_ads/same_ads.php?ad_owner=$ad_owner'>".$locale['cls_553']."</a></td>\n";
			} else {
			echo "<td align='center' colspan='2'>&nbsp;</td>\n"; }
			echo "</tr></table><br />\n"; 
	if($x>=$max) {
		echo "</td></tr><tr>\n";
		echo "<td colspan='2'><hr /></td></tr><tr>\n";
		echo "<td align='center'><span class='tbl2'><strong><big>&nbsp;".$locale['cls_159']."&nbsp;</big></strong></span></td></tr><tr>\n";
		echo "<td colspan='2'><div align='right' class='small'><img src='images/am2_classifieds.png' alt='".$locale['cls_001']."' width='80' height='15' border='0'></div></td>\n";
		echo "</tr></table>\n";
closetable();
include "footer.php"; exit; }
			$x++;
		}
		echo "</td></tr><tr>";
	echo "<td colspan='2'><hr /></td>\n";
	echo "</tr><tr>\n";
	} else {
        		echo "<td><center>".$locale['cls_572']."</center></td></tr>";
	}
	echo "
	<td colspan='2'><div align='right' class='small'><img src='images/am2_classifieds.png' alt='".$locale['cls_001']."' width='80' height='15' border='0'></div></td>\n";
	echo "</tr></table>";
closetable();
include "footer.php";
?>
