<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: create_cat.php
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agplv3.htm or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission FROM the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."classified_ads/infusion_db.php";
include INFUSIONS."classified_ads/include/functions_include.php";
if (file_exists(INFUSIONS."classified_ads/locale/".$settings['locale'].".php")) {
	include INFUSIONS."classified_ads/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."classified_ads/locale/English.php";
}
if (!checkrights("CILS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../../index.php"); }

$cat_id = isset($_REQUEST['cat_id']) ? $_REQUEST['cat_id'] : "";

add_to_title(" | ".$locale['cls_101']."");

if (isset($_POST['save_cat'])) {
	$cat_title = stripinput($_POST['cat_title']);
	$cat_desc = stripinput($_POST['cat_desc']);
	$cat_img = stripinput($_POST['cat_img']);
	$cat_parentid = 0; //main cat? ensure it is
	$cat_status = isnum($_POST['cat_status']);
	$result = dbquery("SELECT cat_id FROM ".DB_CLASSIFIED_CATS." WHERE cat_title='$cat_title'");
//check for duplicates
	$numrows = dbrows($result);
	if ($numrows>0) {
	$index = 0;
opentable($locale['cls_111']);		
echo "<table width='100%' class='tbl' border='0'><tr>\n";
echo "<td colspan='2' align='right'><a class='button' href='".INFUSIONS."classified_ads/admin/classifieds_admin.php".$aidlink."'>&nbsp;".$locale['cls_112']."&nbsp;</a></td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2'></td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2'><font color='#ff0000'><strong>".$locale['cls_113']."</strong></font>, ".$locale['cls_114']." <strong>".$cat_title."</strong> ".$locale['cls_115']."<br /><br /></td>\n";
echo "</tr></table>\n";
	closetable();
// Check if Title exist
} elseif ($cat_title=="") {
	opentable($locale['cls_111']);	
echo "<table width='100%' border='0' class='tbl'><tr>\n";
echo "<td colspan='2' align='right'><a class='button' href='".INFUSIONS."classified_ads/admin/create_cat.php".$aidlink."'>&nbsp;".$locale['cls_102']."&nbsp;</a></td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2'></td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2'><font color='#ff0000'><strong>".$locale['cls_116']."</strong></font>".$locale['cls_117']."</td>\n";
echo "</tr></table>";
	closetable();
} else {
$result = dbquery("INSERT INTO ".DB_CLASSIFIED_CATS." (cat_id, cat_title, cat_desc, cat_img, cat_parentid, cat_datestamp, cat_status) VALUES ('', '$cat_title', '$cat_desc', '$cat_img', '$cat_parentid', '".time()."', '$cat_status')");
	opentable($locale['cls_101']);
echo "<table width='100%' border='0' class='tbl'><tr>\n";
echo "<td align='center'>".$locale['cls_118']."<br /><br /><br /><a class='button' href='".INFUSIONS."classified_ads/admin/classifieds_admin.php".$aidlink."'>&nbsp;".$locale['cls_112']."&nbsp;</a>&nbsp;&nbsp;&nbsp;&nbsp;<a class='button' href='".ADMIN."index.php".$aidlink."'>&nbsp;".$locale['cls_109']."&nbsp;</a></td>\n";
echo "</tr></table>\n";
	}
closetable();
}
//Create main cat section title
opentable($locale['cls_100']);

	echo "<table align='center' border='0' width='100%'><tr>\n";
	echo "<td style='text-align: center;'><br /><br /><span class='tbl2'>&nbsp;<strong>".$locale['cls_102']."</strong>&nbsp;</span><br /><br /></td>\n";
	echo "</tr><tr>\n";
	echo "<td height='22'></td>\n";
	echo "</tr></table>\n";

echo "<table align='center' width='80%' class='tbl2'>\n";
echo "<form name='catform' method='post' action='".FUSION_SELF.$aidlink."' onsubmit='return validateform(this)'><tr>\n";
echo "<td valign='top'><strong>".$locale['cls_119']."</strong></td>\n";
echo "<td><input class='textbox' type='text' name='cat_title' size='39' maxlength='100' /><br /><br /></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'><strong>".$locale['cls_120']."</strong></td>\n";
echo "<td><textarea cols='40' rows='4' name='cat_desc'></textarea><br /><br /></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'><strong>".$locale['cls_121']."</strong></td>\n";
echo "<td valign='top'>";
buildImageBox('cat_img','');
echo "<br />".$locale['cls_700']."<br /><br /></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'><strong>".$locale['cls_122']."</strong></td>\n";
echo "<td><input type='radio' name='cat_status' value='0' />".$locale['cls_124']."&nbsp;&nbsp;&nbsp;<input type='radio' name='cat_status' value='1' checked />".$locale['cls_123']."</td>\n";
echo "</tr><tr align='center'>\n";
echo "<td colspan='2'><br /><br /><input class='button' type='submit' name='save_cat' value='".$locale['cls_140']."' /></td>\n";
echo "</tr></form></table>";
echo "<table align='center' border='0' width='80%'><tr>\n";
echo "<td colspan='3'><hr /></td>\n";
echo "</tr><tr>\n";
echo "<td align='left' width='33%'><a class='button' href='".INFUSIONS."classified_ads/admin/classifieds_admin.php".$aidlink."'>&nbsp;".$locale['cls_006']."&nbsp;</a></td>\n";
echo "<td align='center' width='34%'><a class='button' href='".INFUSIONS."classified_ads/admin/category_admin.php".$aidlink."'>&nbsp;".$locale['cls_003']."&nbsp;</a></td>\n";
echo "<td align='right' width='33%'><a class='button' href='".INFUSIONS."classified_ads/admin/user_ad_admin.php".$aidlink."'>&nbsp;".$locale['cls_004'] ."&nbsp;</a></td>\n";
echo "</tr></table>\n";
echo "<br />";
echo "<div align='right' class='small'><img src='../images/am_classifieds.png' alt='".$locale['cls_001']."' width='80' height='15' border='0'></div>";
closetable();
	echo "<script language=\"javascript\">
function validateform(frm) {
	if(frm.cat_title.value=='') {
		alert('".$locale['cls_126']."');
		return false;
	}
}
</script>\n";
require_once THEMES."templates/footer.php";
?>