<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: classified_ads.php
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agplv3.htm or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
if (file_exists(INFUSIONS."classified_ads/locale/".$settings['locale'].".php")) {
	include INFUSIONS."classified_ads/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."classified_ads/locale/English.php";
}
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."classified_ads/include/functions_include.php";
include INFUSIONS."classified_ads/infusion_db.php";
error_reporting(E_ALL ^ E_NOTICE);
define("SAFEMODE", @ini_get("safe_mode") ? true : false);
$result = dbquery("SELECT * FROM ".DB_CLASSIFIED_SETTINGS."");
		$data = dbarray($result);
		$sndwarn = $data['warn_days'];
global $settings, $query, $locale, $userdata, $sndwarn, $ad_title, $ad_owner, $ad_owner_id, $cat, $db_prefix;
// email users with ads pending expiration
$now = time();
$expiry = date("m/d/Y",$now);
$result = dbquery("SELECT ad_id, ad_title, ad_owner, html_email, postdate FROM ".DB_CLASSIFIED_ADS." WHERE warn_stat='1' AND warn_send = '$expiry'");
while ($data = dbarray($result)) {
	$ad = $data['ad_id'];
	$adname = $data['ad_title'];
	$writer = $data['ad_owner'];
	$format = $data['html_email'];
	$pdate = $data['postdate'];
$result = dbquery("UPDATE ".DB_CLASSIFIED_ADS." SET warn_stat='0' WHERE ad_id='$ad'");
	$result1 = dbquery("SELECT user_name, user_email FROM ".DB_USERS." WHERE user_name = '$writer'");
while ($data1 = dbarray($result1)) {
$ad_title = $adname;
$to_name = $data1['user_name'];
$to_email = $data1['user_email'];
$snd_name = $settings['siteusername'];
$snd_email = $settings['siteemail'];
$subject = $locale['cls_626'];
include INFUSIONS."classified_ads/include/exp_mail_include.php";
require_once INFUSIONS."classified_ads/include/html2text_include.php";
	$html = $content;
	$h2t = &new html2text($html);
	$text = $h2t->get_text();
	if ($format == '0') {
	$content = $text;
	}
	$mail->Subject = $subject;
	$mail->From = $snd_email;
	$mail->FromName = $snd_name;
	if ($format == '0') {
		$format = "plain";
		$mail->Body = $content;
	} else {
		$format = "html";
		$mail->AltBody = $text;
		$mail->Body = $content;
	}
require_once INCLUDES."sendmail_include.php";
	if (!sendemail($to_name, $to_email, $snd_name, $snd_email, $subject, $content, $type = $format, $cc = "", $bcc = "")) {
opentable($locale['cls_500']);
	echo "<br /><br /><div align='center>".$locale['cls_506']."</div><br /><br />\n";
	closetable();
		}
	}
}
// end ad emails
// delete low priority ads and images
define("IMGPATH","images/ads/");
$curtime = time();
$expiredel = date("m/d/Y",$curtime);
$result=dbquery("SELECT ad_id, img1, img2, img3, img4, img5, img6, thb1, thb2, thb3, thb4, thb5, thb6, expiredate FROM ".DB_CLASSIFIED_ADS." WHERE expiredate = '$expiredel'");
	if (dbrows($result)) {
	while($data = dbarray($result)) {
	$ad_id = $data['ad_id'];
if($data['img1']) { @unlink(IMGPATH.$data['img1']); }
if($data['img2']) { @unlink(IMGPATH.$data['img2']); }
if($data['img3']) { @unlink(IMGPATH.$data['img3']); }
if($data['img4']) { @unlink(IMGPATH.$data['img4']); }
if($data['img5']) { @unlink(IMGPATH.$data['img5']); }
if($data['img6']) { @unlink(IMGPATH.$data['img6']); }
if($data['thb1']) { @unlink(IMGPATH.$data['thb1']); }
if($data['thb2']) { @unlink(IMGPATH.$data['thb2']); }
if($data['thb3']) { @unlink(IMGPATH.$data['thb3']); }
if($data['thb4']) { @unlink(IMGPATH.$data['thb4']); }
if($data['thb5']) { @unlink(IMGPATH.$data['thb5']); }
if($data['thb6']) { @unlink(IMGPATH.$data['thb6']); }
	}
$result = dbquery("DELETE  LOW_PRIORITY FROM ".DB_CLASSIFIED_ADS." WHERE ad_id = '$ad_id' AND expiredate = '$expiredel'");
}
// end delete ads and images
opentable($locale['cls_500']);

	echo "<center><table width='90%' border='0' cellspacing='0' cellpadding='3'><tr>\n";
	echo "<td></td>\n";
	echo "</tr><tr>\n";
	echo "<td align='center'>";
	echo "<table width='90%' border='0' cellspacing='6' cellpadding='0'><tr>\n";
	if (iMEMBER) {
	echo "<td align='center'><a href='".INFUSIONS."classified_ads/new_ads.php'><strong>".$locale['cls_201']."</strong></a></td>
	<td align='center'><a href='".INFUSIONS."classified_ads/all_cats.php'><strong>".$locale['cls_206']."</strong></a></td>
	<td align='center'><a href='".INFUSIONS."classified_ads/all_ads.php'><strong>".$locale['cls_207']."</strong></a></td>
	<td align='center'><a href='".INFUSIONS."classified_ads/post_ads.php'><strong>".$locale['cls_202']."</strong></a></td>
	<td align='center'><a href='".INFUSIONS."classified_ads/my_ads.php'><strong>".$locale['cls_203']."</strong></a></td>\n";
	} else {
	echo "<td align='center'><a href='".INFUSIONS."classified_ads/new_ads.php'><strong>".$locale['cls_201']."</strong></a></td>
	<td align='center'><a href='".INFUSIONS."classified_ads/all_cats.php'><strong>".$locale['cls_206']."</strong></a></td>
	<td align='center'><a href='".INFUSIONS."classified_ads/all_ads.php'><strong>".$locale['cls_207']."</strong></a></td>
	<td align='center'><a href='".INFUSIONS."classified_ads/post_ads.php'><strong>".$locale['cls_202']."</strong></a></td>
	<!-- td align='center'><a href='".INFUSIONS."classified_ads/my_ads.php'><strong>".$locale['cls_203']."</strong></a></td -->\n";
	}
	echo "</tr></table>\n";
	echo "</td></tr><tr>\n";
	echo "<td align='center' height='25'></td>\n";
	echo "</tr><tr>\n";
	echo "<td align='center'>";
   		SearchForm();
	echo "</td></tr><tr>\n";
	echo "<td align='center' height='15'></td>\n";
	echo "</tr></table></center>\n";
	echo "<center><table width='90%' border='0' cellspacing='0' cellpadding='3'><tr>\n";
	echo "<td align='center'><strong><h1>".$locale['cls_312']."</h1></strong></td>\n";
	echo "</tr><tr>\n";
	echo "<td align='left'><br />".$locale['cls_208']."</td>\n";
	echo "</tr><tr>\n";
	echo "<td align='center' height='6'></td>\n";
	echo "</tr></table></center>\n";
	echo "<center><table width='90%' border='0' cellspacing='0' cellpadding='3'><tr>\n";
	echo "<td><hr /><br /></td>\n";
	echo "</tr><tr>\n";
	echo "<td align='right'><img src='images/am2_classifieds.png' alt='".$locale['cls_001']."' width='80' height='15' border='0'>&nbsp;</td>\n";
	echo "</tr></table></center>\n";

closetable();
include "footer.php";
?>