<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| Based On: AusiMods Classifieds ver3.0.1 for PF ver6
| Version: 4.03 for PHP-Fusion ver7
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agplv3.htm or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."classified_ads/locale/".$settings['locale'].".php")) {
	include INFUSIONS."classified_ads/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."classified_ads/locale/English.php";
}

include INFUSIONS."classified_ads/infusion_db.php";

// Infusion Information
$inf_title = $locale['title100'];
$inf_description = $locale['desc101'];
$inf_version = "4.03";
$inf_developer = "Terry Broullette(Grimloch)";
$inf_email = "webmaster@whisperwillow.com";
$inf_weburl = "http://www.whisperwillow.com";

$inf_folder = "classified_ads";

$inf_newtable[1] = DB_CLASSIFIED_ADS." (
ad_id int(11) unsigned not null auto_increment,
cat_id int(11) unsigned not null default '0',
ad_title varchar(200) not null default '',
ad_desc text not null,
ad_owner varchar(30) not null default '',
ad_owner_id int(11) not null default '0',
ad_url varchar(60) not null default '',
ad_type enum('0','1','2','3') not null default '0',
ad_amt varchar(60) not null default '',
region varchar(100) not null default '',
country varchar(100) not null default '',
state varchar(100) not null default '',
city varchar(100) not null default '',
province varchar(100) not null default '',
poster_name varchar(100) not null default '',
address varchar(100) not null default '',
post_code varchar(20) not null default '',
phone varchar(16) not null default '',
email varchar(100) not null default '',
email_sub tinyint(1) not null default '0',
pay_code text not null,
html_email enum('0','1') not null default '0',
img1 varchar(80) not null default '',
img2 varchar(80) not null default '',
img3 varchar(80) not null default '',
img4 varchar(80) not null default '',
img5 varchar(80) not null default '',
img6 varchar(80) not null default '',
thb1 varchar(80) not null default '',
thb2 varchar(80) not null default '',
thb3 varchar(80) not null default '',
thb4 varchar(80) not null default '',
thb5 varchar(80) not null default '',
thb6 varchar(80) not null default '',
epochdate int(14) not null default '0',
postdate varchar(20) not null default '0',
expiredate varchar(20) not null default '0',
ad_views smallint(5) unsigned not null default '0',
warn_stat enum('0','1') not null default '0',
warn_send varchar(20) not null default '0',
ad_status enum('0','1') not null default '0',
PRIMARY KEY (ad_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_CLASSIFIED_CATS." (
cat_id int(11) unsigned not null auto_increment,
cat_title varchar(80) not null default '',
cat_desc text not null,
cat_img varchar(80) not null default '',
cat_sub enum('0','1') not null default '0',
cat_parentid int(11) unsigned not null default '0',
cat_parent_title varchar(80) not null default '',
cat_datestamp int(10) unsigned not null default '0',
cat_status enum('0','1') not null default '0',
PRIMARY KEY (cat_id)
) TYPE=MyISAM;";

$inf_newtable[3] = DB_CLASSIFIED_SETTINGS." (
set_id int(11) unsigned not null auto_increment,
ad_txt smallint(5) unsigned not null default '0',
new_ads smallint(5) unsigned not null default '0',
lnk_results smallint(5) unsigned not null default '0',
most_weeks smallint(5) unsigned not null default '0',
dflt_weeks smallint(5) unsigned not null default '0',
warn_days smallint(5) unsigned not null default '0',
show_guest enum('0','1') not null default '0',
show_social enum('0','1') not null default '0',
allow_post enum('0','1') not null default '0',
PRIMARY KEY (set_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_CLASSIFIED_SETTINGS." (ad_txt, new_ads, lnk_results, most_weeks, dflt_weeks, warn_days, show_guest, show_social, allow_post) VALUES('3000','10','10','180','30','5','0','0','0')";

$inf_droptable[1] = DB_CLASSIFIED_ADS;
$inf_droptable[2] = DB_CLASSIFIED_CATS;
$inf_droptable[3] = DB_CLASSIFIED_SETTINGS;

$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='classified_ads_panel'";

$inf_adminpanel[1] = array(
	"title" => $locale['admin102'],
	"image" => "classifieds.gif",
	"panel" => "admin/classifieds_admin.php",
	"rights" => "CILS"
);

$inf_sitelink[1] = array(
	"title" => $locale['link103'],
	"url" => "classified_ads.php",
	"visibility" => "0"
);
?>